datacache <- new.env(hash=TRUE, parent=emptyenv())

sysptm_dbconn <- function() dbconn(datacache)
sysptm_dbfile <- function() dbfile(datacache)
sysptm_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, 
    file=file, show.indices=show.indices)
sysptm_dbInfo <- function() dbInfo(datacache)

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    require("PAnnBuilder", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "sysptm.sqlite", package="sysptm.db", 
        lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs("SYSPTM", "sysptm", datacache, dbconn)    
    mergeToNamespaceAndExport(ann_objs, "sysptm.db" )
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(sysptm_dbconn())
}

