\name{sysptmGN}
\alias{sysptmGN}
\title{Map SysPTM protein identifier to Gene Name}
\description{
  sysptmGN maps SysPTM protein
  identifier to the corresponding gene names.
}
\details{
  Each protein identifier maps to a vector containing the gene
  name or alias.

  Mappings were based on data provided by: SysPTM (\url{http://www.biosino.org/papers/SysPTM/Current/ptm ; http://www.biosino.org/papers/SysPTM/Current/name ; http://www.biosino.org/papers/SysPTM/Current/Protein_ID_equal}) on
  v1.1, 2008-11-20  
}

\examples{
     # Convert to a list
     xx <- as.list(sysptmGN)
     # Remove protein that do not map to any GENENAME
     xx <- xx[!is.na(xx)]
     if(length(xx) > 0){
         # Gets the gene names for the first five probe identifiers
         xx[1:5]
         # Get the first one
         xx[[1]]
     }
}

