\name{sysptmIDs}
\alias{sysptmIDs}
\title{Map SysPTM protein identifiers to external identifiers}
\description{
  sysptmIDs maps SysPTM protein identifiers to external protein identifiers.
}
\details{
  Each SysPTM protein identifier maps to a named vector containing protein
  identifiers from public databases, such as Swiss-Prot, IPI, NCBI RefSeq, and
  so on. The vector name corresponds to the public database.

  Mappings were based on data provided by: SysPTM (\url{http://www.biosino.org/papers/SysPTM/Current/ptm ; http://www.biosino.org/papers/SysPTM/Current/name ; http://www.biosino.org/papers/SysPTM/Current/Protein_ID_equal}) on
  v1.1, 2008-11-20  
}

\examples{
     # Convert to a list
     xx <- as.list(sysptmIDs)
     xx <- xx[!is.na(xx)]
     if(length(xx) > 0){
         xx[1:5]
     }
}
