\name{sysptmPTMTYPE}
\alias{sysptmPTMTYPE}
\alias{sysptmPTMTYPE2SITE}
\title{Map site to the type of posttranslational modifications}
\description{
 sysptmPTMTYPE maps a site to the type of posttranslational modifications (PTMs).
 The site is consisted of SysPTM protein identifer, start position of PTM, 
 and end position of PTM.
}
\details{
  Mappings were based on data provided by: SysPTM (\url{http://www.biosino.org/papers/SysPTM/Current/ptm ; http://www.biosino.org/papers/SysPTM/Current/name ; http://www.biosino.org/papers/SysPTM/Current/Protein_ID_equal}) on
  v1.1, 2008-11-20  
}

\examples{
 # Convert to a list
 xx <- as.list(sysptmPTMTYPE)
 # Get the values for a few keys
 if(length(xx) >= 3){
   xx[1:3]
 }
 
 ## For the reverse map sysptmPTMTYPE2SITE
 xx <- as.list(sysptmPTMTYPE2SITE)
 if(length(xx) > 0){         
     ## Get the first one
     xx[[1]]
 }   
}
