\name{sysptm_dbconn}
\alias{sysptm_dbconn}
\alias{sysptm_dbfile}
\alias{sysptm_dbschema}
\alias{sysptm_dbInfo}
\title{Collect information about the package annotation DB}
\description{  
  Some convenience functions for getting a connection object to (or collecting 
  information about) the package annotation DB. 
}
\usage{
  sysptm_dbconn()
  sysptm_dbfile()
  sysptm_dbschema(file="", show.indices=FALSE)
  sysptm_dbInfo()
}
\arguments{ 
  \item{file}{A connection, or a character string naming the file to print to 
    (see the file argument of the cat function for the details). }
  \item{show.indices}{The CREATE INDEX statements are not shown by default. Use 
    show.indices=TRUE to get them. }
}
\details{
  \code{sysptm_dbconn} returns a connection object to the package annotation DB. 
  IMPORTANT: Don't call \code{\link[DBI]{dbDisconnect}} on the connection object 
  returned by \code{sysptm_dbconn} or you will break all the 
  \code{\link[AnnotationDbi]{AnnDbObj}} objects defined in this package! 

  \code{sysptm_dbfile} returns the path (character string) to the package
  annotation DB (this is an SQLite file). 

  \code{sysptm_dbschema} prints the schema definition of the package annotation
  DB. 

  \code{sysptm_dbInfo} prints other information about the package annotation
  DB. 
}
\examples{
  ## Show the first three rows.
  dbGetQuery(sysptm_dbconn(), "select * from sysptm limit 3")

  ## The connection object returned by sysptm_dbconn() was created with:
  dbConnect(SQLite(), dbname=sysptm_dbfile(), cache_size=64000, synchronous=0)

  sysptm_dbschema()

  sysptm_dbInfo()
}
